io.undertow.server.handlers.cache

## Class LRUCache.CacheEntry<K,V>

- java.lang.Object
- - io.undertow.server.handlers.cache.LRUCache.CacheEntry<K,V>

Enclosing class:
  LRUCache<K,V>

    public static final class LRUCache.CacheEntry<K,V>
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getExpires()`
`V` `getValue()`
`int` `hit()`
`K` `key()`
`void` `setValue(V value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setValue

    public void setValue(V value)

#### getValue

    public V getValue()

#### hit

    public int hit()

#### key

    public K key()

#### getExpires

    public long getExpires()